// This file is part of KeY - Integrated Deductive Software Design 
// Copyright (C) 2001-2003 Universitaet Karlsruhe, Germany
//                         and Chalmers University of Technology, Sweden          
//
// The KeY system is protected by the GNU General Public License. 
// See LICENSE.TXT for details.
//

package de.uka.ilkd.key.logic;


public class Choice implements Named{

    private final Name name;
    private Namespace funcNS = new Namespace();
    private String category=null;


    /** 
     * creates a choice object with name <category>:<choice>.
     */
    public Choice(String choice, String category){
	this.name = new Name(category+":"+choice);
	this.category = category;
    }

    public Choice(Name name, String category){
	this.name = name;
	this.category = category;
    }

    public Choice(Name name){
	this.name = name;
    }

    public Name name(){
	return name;
    }

    public String category(){
	return category;
    }

    public Namespace funcNS(){
	return funcNS;
    }

    public void setFuncNS(Namespace funcNS){
	this.funcNS = funcNS;
    }

    public Choice copy(){
	Choice c; 
	if(category==null){
	    c = new Choice(name);
	}else{
	    c = new Choice(name, category);
	}
	c.setFuncNS(funcNS.copy());
	return c;
    }

}
